jdebug Documentation: Class ExceptionSpec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.spec
Class ExceptionSpec

    java.lang.Object
      |
      +--jde.debugger.spec.EventRequestSpec
            |
            +--jde.debugger.spec.ExceptionSpec

public class ExceptionSpec
extends EventRequestSpec

ExceptionSpec.java

Created: Mon Aug 2 17:01:35 1999

Since:
  0.1

Field Summary
`(package private) boolean` | `notifyCaught`
`(package private) boolean` | `notifyUncaught`

Fields inherited from class jde.debugger.spec.EventRequestSpec
`app, classExFilters, classFilters, expr, expressionKey, isResolved, myID, refSpec, request, specPropertyKey, suspendPolicy, thread, threadKey`

Constructor Summary
`ExceptionSpec(Application app, ReferenceTypeSpec spec, boolean notifyCaught, boolean notifyUncaught)`

Method Summary
`boolean` | `resolve(com.sun.jdi.ReferenceType refType)` This function is called to resolve an `EventRequestSpec` when the ReferenceType is known to match

Methods inherited from class jde.debugger.spec.EventRequestSpec
`attemptImmediateResolve, attemptResolve, getEventRequest, getID, installClassExFilters, installClassFilters, isJavaIdentifier, isResolved, setClassExFilters, setClassFilters, setExpression, setIsResolved, setRequest, setSuspendPolicy, setThread`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### notifyCaught

    boolean notifyCaught

### notifyUncaught

    boolean notifyUncaught

Constructor Detail

### ExceptionSpec

    public ExceptionSpec(Application app,
                         ReferenceTypeSpec spec,
                         boolean notifyCaught,
                         boolean notifyUncaught)

Method Detail

### resolve

    public boolean resolve(com.sun.jdi.ReferenceType refType)

  Description copied from class: EventRequestSpec
  This function is called to resolve an `EventRequestSpec` when the ReferenceType is known to match

  if any errors occur at any time during resolution of the event- requestspec, it's entry in the `EventRequestSpecList` is removed, and jde informed about it (through `Application.removeSpecAndInformJDE(jde.debugger.spec.EventRequestSpec, java.lang.String)`

  Overrides:
    resolve in class EventRequestSpec
  Tags copied from class: EventRequestSpec
  Returns:
    true if the resolution was successful

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD